From 727a3404d85b7b586dbb0f44ecd38ef665d684b7 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue.dev@gmail.com>
Date: Oct 02 2024 01:09:16 +0000
Subject: require cosmic-icon-theme for graphical cosmic packages


Signed-off-by: Ryan Brue <ryanbrue.dev@gmail.com>

---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index ef87339..5ce223b 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -39,7 +39,7 @@ BuildRequires:  libxkbcommon-devel
 BuildRequires:  just
 BuildRequires:  desktop-file-utils
 
-Requires:       hicolor-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 79091e4..e7aa5a0 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -46,9 +46,8 @@ BuildRequires:  libxkbcommon-devel
 BuildRequires:  just
 BuildRequires:  desktop-file-utils
 
-Requires:       cosmic-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 Requires:       cosmic-panel
-Requires:       hicolor-icon-theme
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 7fb3e9a..e3353c1 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -36,7 +36,7 @@ BuildRequires:  libxkbcommon-devel
 BuildRequires:  just
 BuildRequires:  desktop-file-utils
 
-Requires:       hicolor-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 2ba0b02..c717aeb 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -41,6 +41,7 @@ BuildRequires:  pixman-devel
 BuildRequires:  make
 
 Requires:       libseat
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 
 Recommends:     cosmic-session
 
diff --git a/rpms/cosmic-desktop/cosmic-desktop.spec b/rpms/cosmic-desktop/cosmic-desktop.spec
index 745cdf0..069d6ae 100644
--- a/rpms/cosmic-desktop/cosmic-desktop.spec
+++ b/rpms/cosmic-desktop/cosmic-desktop.spec
@@ -13,7 +13,7 @@ Requires:       cosmic-app-library
 Requires:       cosmic-applets
 Requires:       cosmic-bg
 Requires:       cosmic-comp
-Requires:       cosmic-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 Requires:       cosmic-launcher
 Requires:       cosmic-notifications
 Requires:       cosmic-osd
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index dff3af1..dea469e 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -38,7 +38,7 @@ BuildRequires:  just
 BuildRequires:  libxkbcommon-devel
 BuildRequires:  desktop-file-utils
 
-Requires:       hicolor-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 2ffa1c8..c1a414f 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -42,7 +42,7 @@ BuildRequires:  desktop-file-utils
 
 Requires:       gvfs
 Requires:       xdg-utils
-Requires:       hicolor-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index e571cb1..50cc77d 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -53,6 +53,7 @@ Requires:       greetd-selinux
 Requires:       fprintd-pam
 Requires:       pam
 Requires:       cosmic-comp >= %{cosmic_minver}
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index f27e45e..1703bb8 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -41,7 +41,7 @@ BuildRequires:  just
 BuildRequires:  desktop-file-utils
 
 Requires:       pop-launcher
-Requires:       hicolor-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 27fff18..d67d4eb 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -36,7 +36,7 @@ BuildRequires:  libxkbcommon-devel
 BuildRequires:  just
 BuildRequires:  desktop-file-utils
 
-Requires:       hicolor-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 8f6d20f..6ae2315 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -40,6 +40,8 @@ BuildRequires:  systemd-devel
 BuildRequires:  pulseaudio-libs-devel
 BuildRequires:  make
 
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
+
 %global _description %{expand:
 %{summary}.}
 
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index ec8526a..f9f1ea4 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -43,7 +43,7 @@ BuildRequires:  desktop-file-utils
 BuildRequires:  pipewire-devel
 BuildRequires:  clang
 
-Requires:       hicolor-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 Requires:       nm-connection-editor
 
 %global _description %{expand:
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index d876dd5..5432a8b 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -40,7 +40,7 @@ BuildRequires:  desktop-file-utils
 
 Requires:       PackageKit
 Requires:       flatpak-libs
-Requires:       hicolor-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 10343ce..5be591d 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -38,7 +38,7 @@ BuildRequires:  just
 BuildRequires:  libxkbcommon-devel
 BuildRequires:  desktop-file-utils
 
-Requires:       hicolor-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index c8e8087..6319cbc 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -46,7 +46,7 @@ BuildRequires:  make
 BuildRequires:  desktop-file-utils
 
 Requires:       cosmic-comp
-Requires:       hicolor-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 
 %global _description %{expand:
 %{summary}.}
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index 92a0574..42d5659 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -44,7 +44,7 @@ BuildRequires:  gstreamer1-devel
 BuildRequires:  glib2-devel
 BuildRequires:  just
 
-Requires:       hicolor-icon-theme
+Requires:       cosmic-icon-theme >= %{cosmic_minver}
 
 %global _description %{expand:
 %{summary}.}

